Add a project domain
curl --request POST \
--url {schemes}://api.upsun.com/projects/{projectId}/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"attributes": {},
"is_default": true
}
'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/domains"
payload = {
"name": "<string>",
"attributes": {},
"is_default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', attributes: {}, is_default: true})
};
fetch('{schemes}://api.upsun.com/projects/{projectId}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"code": 123
}Domain Management
Add a project domain
Add a single domain to a project.
If the ssl field is left blank without an object containing
a PEM-encoded SSL certificate, a certificate will
be provisioned for you via Let’s Encrypt.
POST
/
projects
/
{projectId}
/
domains
Add a project domain
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Last modified on June 16, 2026
Was this page helpful?